/* Listing 2: */

double x,y,z;
main(){
     x = 1.e-300;
     y = x *(1. + 1.e-15);
     z = x - y;
     if (z == 0.) puts("z = 0, even though z = x - y and");
     if (x == y) puts("x == y"); else puts("x != y");
}
